Skip to main content

List applications of a profile

GET 

/nevisidm/api/core/v1/:clientExtId/profiles/:extId/applications

Since: 2.71.0

Required permission(s): AccessControl.ProfileView or SelfAdmin Role

Returns all applications assigned to the profile with the given external ID within the specified client.

Supports continuation-token-based pagination.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the profile.

    Example: profile-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

Applications retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    External ID of the application.

    name string

    Internal name of the application.

    description string

    Textual description of the application.

    url string

    URL of the application.

    displayed boolean

    Determines whether the application is to be displayed on nevisPortal.

    displayName object

    Language-dependent name of the application. Keys: EN, DE, FR, IT.

    property name* string
  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...